import os
from django.conf import settings


def _build_flag_url():
    if hasattr(settings, 'COUNTRIES_FLAG_URL'):
        url = settings.COUNTRIES_FLAG_URL
    else:
        url = 'flags/%(code)s.gif'
    prefix = getattr(settings, 'STATIC_URL', '') or settings.MEDIA_URL
    if not prefix.endswith('/'):
        prefix = '%s/' % prefix
    return '%s%s' % (prefix, url)

def _build_iso_xml():
    if hasattr(settings, 'COUNTRIES_ISO_XML'):
        return settings.COUNTRIES_ISO_XML
    else:
        return '/usr/share/xml/iso-codes/iso_3166.xml'

FLAG_URL = _build_flag_url()
ISO_XML = _build_iso_xml()
